ChangeSet 1.1692.3.8, 2004/03/31 14:53:59-08:00, rddunlap@osdl.org

[PATCH] PCI: move DMA_nnBIT_MASK to linux/dma-mapping.h


 include/linux/dma-mapping.h |    3 +++
 include/linux/pci.h         |    3 ---
 2 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/include/linux/dma-mapping.h b/include/linux/dma-mapping.h
--- a/include/linux/dma-mapping.h	Thu Apr 15 10:04:50 2004
+++ b/include/linux/dma-mapping.h	Thu Apr 15 10:04:50 2004
@@ -10,6 +10,9 @@
 	DMA_NONE = 3,
 };
 
+#define DMA_64BIT_MASK	0xffffffffffffffffULL
+#define DMA_32BIT_MASK	0x00000000ffffffffULL
+
 #include <asm/dma-mapping.h>
 
 /* Backwards compat, remove in 2.7.x */
diff -Nru a/include/linux/pci.h b/include/linux/pci.h
--- a/include/linux/pci.h	Thu Apr 15 10:04:50 2004
+++ b/include/linux/pci.h	Thu Apr 15 10:04:50 2004
@@ -433,9 +433,6 @@
 #define PCI_DMA_FROMDEVICE	2
 #define PCI_DMA_NONE		3
 
-#define DMA_64BIT_MASK	0xffffffffffffffffULL
-#define DMA_32BIT_MASK	0x00000000ffffffffULL
-
 #define DEVICE_COUNT_COMPATIBLE	4
 #define DEVICE_COUNT_RESOURCE	12
 
